Download report PDF
GET
/v1/report/{id}/file/
const url = 'https://example.com/v1/report/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/file/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/report/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/file/ \ --header 'Authorization: Bearer <token>'Download the PDF file for this report.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this report.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
report_pdf
required
string
report_config
required
string format: uuid
created_at
required
string format: date-time
Examplegenerated
{}